#!/bin/sh # # Checks if the 'www' user and group exist. If they don't, then # an attempt is made to create both. # # $FreeBSD: /tmp/pcvs/ports/java/jboss3/Attic/pkg-install,v 1.1 2002-04-26 21:54:15 znerd Exp $ # # Make sure we're called during the 'make install' process if [ "$2" != "PRE-INSTALL" ]; then exit 0 fi # Set some constants USER=www GROUP=${USER} UID=80 GID=${UID} # See if the group already exists if ! pw groupshow "${GROUP}" 2>/dev/null 1>&2; then # If not, try to create it if pw groupadd ${GROUP} -g ${GID}; then echo "Added group \"${GROUP}\"." else echo "Adding group \"${GROUP}\" failed..." exit 1 fi fi # See if the user already exists if ! pw usershow "${USER}" 2>/dev/null 1>&2; then # If not, try to create it if pw useradd ${USER} -u ${UID} -g ${GROUP} -h - \ -s "/sbin/nologin" -d "/nonexistent" \ -c "World Wide Web Owner"; \ then echo "Added user \"${USER}\"." else echo "Adding user \"${USER}\" failed..." exit 1 fi fi exit 0 /cgit/cgit.cgi/'>cgit logo index : freebsd-ports-graphics
FreeBSD graphics obsolete development ports (https://github.com/freebsd/freebsd-ports-graphics)
aboutsummaryrefslogtreecommitdiffstats
path: root/sysutils/xfce4-utils
Commit message (Expand)AuthorAgeFilesLines
* - Welcome X.org 7.2 \o/.flz2007-05-201-1/+1
* update xfce to 4.4.1oliver2007-04-122-5/+5
* Switch to using new files Mk/bsd.ocaml.mk [1] and Mk/bsd.xfce.mk [2].linimon2007-03-141-1/+0
* don't specify ${LOCALBASE}/share twice for XDG_DATA_DIRS in startxfce4oliver2007-03-071-0/+10
* enhance the descriptionoliver2007-01-291-4/+4
* Import xfce 4.4oliver2007-01-234-153/+46
* fix build with non-standard X11BASEoliver2006-11-281-2/+2
* Chase the GNOME X11BASE to LOCALBASE move, and fix the build with themarcus2006-10-142-6/+35
* Conversion to a single libtool environment.ade2006-02-232-3/+4
* SHA256ifyedwin2006-01-241-0/+1
* Replace ugly "@unexec rmdir %D... 2>/dev/null || true" with @dirrmtryedwin2006-01-221-18/+18
* Remove trailing spacesedwin2005-12-271-5/+5
* Mass-conversion to the USE_AUTOTOOLS New World Order. The code presentade2005-11-151-1/+1
* update to xfce 4.2.3.1oliver2005-11-093-4/+30
* Bump PORTREVISION to chase the glib20 shared library update.marcus2005-11-051-1/+1